#include "stdafx.h"
#include "RAM.h"

/////////////////////////////////////////////////////////////////////////////
//
//  Modifications:
//
//  12/10/2000  BCA and BPF     Moved code into its own source file
//          
/////////////////////////////////////////////////////////////////////////////


RAM::RAM(word_t base,int mem_size):MemoryObject()
{

	base_addr = base;
    size = mem_size;
	top_addr = base_addr + size;

	// Allocate memory
	mem = new byte_t[size];
    assert(mem!=NULL);
}

RAM::~RAM ()
{
	// Free memory
    if(mem!=NULL)
	    delete[] mem;
}

byte_t RAM::Read(word_t address)
{
    return(mem[address-base_addr]);
}

void RAM::Write(word_t address, byte_t data)
{    
    mem[address-base_addr]=data;
}