#if !defined(RAM_H)
#define RAM_H

#include "basetypes.h"

#include "MemoryObject.h"

//////////////////////////////////////////////////////////////////////////////
//
//  Class Name: RAM
//
//  Author: Kalle Anderson
//
//  Purpose: The generic RAM memory class.
//
//
//  Modifications:
//
//  12/10/2000  BCA and ILK     Moved class RAM into its own header
//          
/////////////////////////////////////////////////////////////////////////////
//##ModelId=3A3D099E0125
class RAM: public MemoryObject
{
 private: 	    
	//##ModelId=3A3D099E0132
	byte_t *mem;    
 public:	        
	//##ModelId=3A3D099E0144
    RAM(word_t base,int mem_size);
	//##ModelId=3A3D099E0143
    ~RAM();
	//##ModelId=3A3D099E013C
	byte_t Read(word_t address);	
	//##ModelId=3A3D099E0139
    void Write(word_t address, byte_t data);
};

#endif //!defined(RAM_H)
