#if !defined(ROM_H)
#define ROM_H

#include "basetypes.h"

#include "MemoryObject.h"

//////////////////////////////////////////////////////////////////////////////
//
//  Class Name: ROM
//
//  Author: Kalle Anderson
//
//  Purpose: The generic ROM class. Can only be written to using the Program 
//           function.
//
//
//  Modifications:
//
//  12/10/2000  BCA and ILK     Moved class ROM into its own header
//
/////////////////////////////////////////////////////////////////////////////
//##ModelId=3A3D09AE022C
class ROM: public MemoryObject
{
private:
	//##ModelId=3A3D09AE0242
	byte_t *mem;

public:	
	//##ModelId=3A3D09AE0258
    ROM(word_t base,int mem_size);
	//##ModelId=3A3D09AE0257
    ~ROM();
	//##ModelId=3A3D09AE0255
	byte_t Read(word_t address);
	//##ModelId=3A3D09AE024B
	void Write(word_t address, byte_t data){};
	//##ModelId=3A3D09AE0245
    void Program(word_t address, byte_t data);
};

#endif //!defined(ROM_H)
